Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 675240 - media-gfx/exiv2-0.27.0-r1 uses a hardcoded libdir in its pkgconfig file
Summary: media-gfx/exiv2-0.27.0-r1 uses a hardcoded libdir in its pkgconfig file
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Graphics Project
URL: https://github.com/Exiv2/exiv2/issues...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: 674968 675264
  Show dependency tree
 
Reported: 2019-01-11 22:51 UTC by Mike Auty
Modified: 2019-01-13 00:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch for pkgconfig issue with exiv2-0.27.0 (exiv2-0.27.0-pkgconfig.txt,388 bytes, patch)
2019-01-11 22:51 UTC, Mike Auty
Details | Diff
Fix for the path issues using cmake variables (exiv2-0.27.0a-pkgconfig2.txt,392 bytes, patch)
2019-01-12 10:42 UTC, Mike Auty
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Auty gentoo-dev 2019-01-11 22:51:42 UTC
Created attachment 560708 [details, diff]
Patch for pkgconfig issue with exiv2-0.27.0

The exiv-0.27.0 build creates an inaccurate pkg-config file with a hardcoded libdir (in cmake/exiv2.pc.in):

libdir=${prefix}/lib

This means that 64-bit programs attempting to compile against it, attempt to link against the 32-bit library which will either not be present, or will fail with an invalid file type error.

This bug has been raised upstream at https://github.com/Exiv2/exiv2/issues/651.

The attached patch can be applied to resolve the issue (and allows dependent packages such as gexiv2 or gnome-color-manager to successfully build).
Comment 1 Mike Auty gentoo-dev 2019-01-12 02:35:30 UTC
Hmmm, it seems that patch isn't reliable (a second system produced a .pc file with empty values instead).  5:\
Comment 2 Mike Auty gentoo-dev 2019-01-12 10:42:28 UTC
Created attachment 560754 [details, diff]
Fix for the path issues using cmake variables

This is the updated patch, which has also been provided upstream (and they appear responsive) so probably best to wait for them to get this in place...
Comment 3 Larry the Git Cow gentoo-dev 2019-01-12 22:06:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=273151668540b3fe89620f1fe4bb9d648f89dadb

commit 273151668540b3fe89620f1fe4bb9d648f89dadb
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-01-12 21:54:56 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-01-12 22:06:13 +0000

    media-gfx/exiv2: Fix pkgconfig
    
    Closes: https://bugs.gentoo.org/675240
    Thanks-to: Mike Auty <ikelos@gentoo.org>
    Package-Manager: Portage-2.3.55, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 media-gfx/exiv2/exiv2-0.27.0-r2.ebuild             | 109 +++++++++++++++++++++
 .../exiv2/files/exiv2-0.27.0-fix-pkgconfig.patch   |  24 +++++
 2 files changed, 133 insertions(+)
Comment 4 Juergen Rose 2019-01-12 23:26:45 UTC
media-gfx/exiv2-0.27.0-r2 seems to fail with the same error.
Comment 5 Juergen Rose 2019-01-12 23:34:39 UTC
It seems to depend on the doc USE flag:

>>> Emerging (1 of 3) media-gfx/exiv2-0.27.0-r2::gentoo
 * Fetching files in the background.
 * To view fetch progress, run in another terminal:
 * tail -f /var/log/emerge-fetch.log
 * exiv2-0.27.0a-Source.tar.gz BLAKE2B SHA512 size ;-) ...                                                                                                                                  [ ok ]
>>> Unpacking source...
>>> Unpacking exiv2-0.27.0a-Source.tar.gz to /var/tmp/portage/media-gfx/exiv2-0.27.0-r2/work
>>> Source unpacked in /var/tmp/portage/media-gfx/exiv2-0.27.0-r2/work
>>> Preparing source in /var/tmp/portage/media-gfx/exiv2-0.27.0-r2/work/exiv2-0.27.0-Source ...
 * Converting doc/cmd.txt to UTF-8
 * Updating doxygen config
 * ERROR: media-gfx/exiv2-0.27.0-r2::gentoo failed (prepare phase):
 *   (no error message)


'USE=-doc emerge -v1 exiv2' works.
Comment 6 Mike Auty gentoo-dev 2019-01-13 00:55:46 UTC
I think that's a different error Juergen?  Could you please file a separate bug for it...